Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.annotation
Class AbstractAsyncConfiguration

    java.lang.Object
      org.springframework.scheduling.annotation.AbstractAsyncConfiguration

All Implemented Interfaces:
  Aware, ImportAware

Direct Known Subclasses:
  AspectJAsyncConfiguration, ProxyAsyncConfiguration

    @Configuration
    public abstract class AbstractAsyncConfiguration

extends java.lang.Object
implements ImportAware

Abstract base `Configuration` class providing common structure for enabling Spring's asynchronous method execution capability.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `EnableAsync`

Field Summary
`protected AnnotationAttributes` | `enableAsync`
`protected java.util.concurrent.Executor` | `executor`

Constructor Summary
`AbstractAsyncConfiguration()`

Method Summary
`abstract java.lang.Object` | `asyncAdvisor()` The component that will apply async execution advice to beans annotated with the async annotation.
`void` | `setImportMetadata(AnnotationMetadata importMetadata)` Set the annotation metadata of the importing @`Configuration` class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### enableAsync

    protected AnnotationAttributes enableAsync

### executor

    protected java.util.concurrent.Executor executor

Constructor Detail

### AbstractAsyncConfiguration

    public AbstractAsyncConfiguration()

Method Detail

### setImportMetadata

    public void setImportMetadata(AnnotationMetadata importMetadata)

  Description copied from interface: `ImportAware`
  Set the annotation metadata of the importing @`Configuration` class.

  Specified by:
    `setImportMetadata` in interface `ImportAware`

### asyncAdvisor

    public abstract java.lang.Object asyncAdvisor()

  The component that will apply async execution advice to beans annotated with the async annotation. Subclasses will provide either a BeanPostProcessor in the case of proxy-based advice, or an AspectJ aspect if weaving is preferred.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD